#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 monads-tf
version:              0.1.0.3
visibility:           public
id:                   monads-tf-0.1.0.3-6sILdwn34pYGvOyy3w0bJb
key:                  monads-tf-0.1.0.3-6sILdwn34pYGvOyy3w0bJb
license:              BSD-3-Clause
maintainer:           Ross Paterson <ross@soi.city.ac.uk>
author:               Andy Gill
synopsis:             Monad classes, using type families
description:
    Monad classes using type families, with instances for various
    monad transformers, inspired by the paper /Functional Programming
    with Overloading and Higher-Order Polymorphism/, by Mark P
    Jones, in /Advanced School of Functional Programming/, 1995
    (<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).

    This package is almost a compatible replacement for the @mtl-tf@ package.

category:             Control
abi:                  35ec1a2837baa3651c8f2cf2432334ba
exposed-modules:
    Control.Monad.Cont Control.Monad.Cont.Class Control.Monad.Error
    Control.Monad.Error.Class Control.Monad.Identity Control.Monad.List
    Control.Monad.RWS Control.Monad.RWS.Class Control.Monad.RWS.Lazy
    Control.Monad.RWS.Strict Control.Monad.Reader
    Control.Monad.Reader.Class Control.Monad.State
    Control.Monad.State.Class Control.Monad.State.Lazy
    Control.Monad.State.Strict Control.Monad.Trans Control.Monad.Writer
    Control.Monad.Writer.Class Control.Monad.Writer.Lazy
    Control.Monad.Writer.Strict

import-dirs:          /usr/lib/ghc-9.4.8/site-local/monads-tf-0.1.0.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/monads-tf-0.1.0.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/monads-tf-0.1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-monads-tf
hs-libraries:         HSmonads-tf-0.1.0.3-6sILdwn34pYGvOyy3w0bJb
depends:              base-4.17.2.1 transformers-0.5.6.2
haddock-interfaces:   /usr/share/doc/haskell-monads-tf/html/monads-tf.haddock
haddock-html:         /usr/share/doc/haskell-monads-tf/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

